Page MenuHomePhabricator

Release mapframe to all NON-Flagged Revs wikipedia (and a few who do have Flagged Revs).
Closed, ResolvedPublic

Description

Pending the results of the consultation described in T191583, release mapframe to all NON-Flagged Revs wikipedia (and some do have Flagged Revs, as described below).

Flagged Revisions can cause problems with mapframe. Our investigations into this issue T151665 have determined that there are various flavors of Flagged Revisions. One style ( $wgFlaggedRevsOverride = false) still shows users the most recent edit; this does not cause problems. The other style, best known for being the style used on German Wikipedia, hides the latest version of an article until the edit has been reviewed and approved ( $wgFlaggedRevsOverride = true). This style causes problems and will be omitted from the mapframe general release.

Which wikis WILL get mapframe?

Which wikis WILL NOT get mapframe in this release?

These Flagged Rev Wikipedias hide the latest version of a page ( $wgFlaggedRevsOverride = true)

  1. Bs—Bosnian
  2. De—German
  3. Hu—Hungarian
  4. Id—Indonesian
  5. Ka—Georgian
  6. Pl—Polish
  7. Sq—Albanian
  8. Tr—Turkish
  9. Zh_classicalwiki—Classical Chinese

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable mapframe on all but a few wikis

Event Timeline

Note to self: when we do this deployment, we will also need to restart Parsoid afterwards.

mxn added a subscriber: mxn.May 8 2018, 6:38 AM

Change 432031 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable mapframe on all but a few wikis

https://gerrit.wikimedia.org/r/432031

Catrope updated the task description. (Show Details)May 9 2018, 2:11 AM

Change 432031 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable mapframe on all but a few wikis

https://gerrit.wikimedia.org/r/432031

Mentioned in SAL (#wikimedia-operations) [2018-05-09T13:27:32Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:432031|Enable mapframe on all but a few wikis (T191585)]] (duration: 01m 20s)

Tgr added a subscriber: Tgr.EditedMay 11 2018, 9:16 AM

huwiki has $wgFlaggedRevsOverride = false now (changed about a month ago, see T121995).

huwiki has $wgFlaggedRevsOverride = false now (changed about a month ago, see T121995).

The task says it's a temporary 6-month change, and that it might be re-enabled afterwards. You can have mapframe with override, there's no fundamental conflict, but you'll run into broken maps somewhat frequently. See T151665. For that reason I'm hesitant to enable mapframe on huwiki and have things potentially break in six months, unless the community is OK with maps being broken occasionally.

Yurik added a comment.May 11 2018, 8:46 PM

Note that ruwiki has similar settings, and has mapframe enabled, but has not observed any issues (or at least they have not reported them).

Note that ruwiki has similar settings, and has mapframe enabled, but has not observed any issues (or at least they have not reported them).

Thanks Yurik. It's true, there are 800 mapframe maps on ru.wiki.

With all we have going on we decided not to promote the idea, but if the Flagged Rev wikis want to request mapframe, knowing the risks, we can think about implementing it for them. But the Flagged Revs issues are challenging. So my fear is that such an implementation might become an implicit promise to fix the problems.

Checked all three cases - mapframe works as expected:

  • default (no FlaggedRevs)
  • wikis with $wgFlaggedRevsOverride = false - enwiki, fawiki, hiwiki, and vecwiki
  • wikis with $wgFlaggedRevsOverride = false - plwiki, dewiki, huwiki

QA Recommendation: Resolve

I should add, of course, that we'd love to fix this problem and bring mapframe to all. Germany has asked for it I know. That's why the team has talked about it so extensively. But we may not have time before June.

In all honesty, this might be about the right size for a Wishlist proposal, don't people think? @Catrope?

jmatazzoni closed this task as Resolved.Jun 1 2018, 5:15 PM
jmatazzoni claimed this task.